aboutsummaryrefslogtreecommitdiffstats
path: root/utils/installer/src/main/resources/scripts/install-feature.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/installer/src/main/resources/scripts/install-feature.sh')
-rw-r--r--utils/installer/src/main/resources/scripts/install-feature.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/utils/installer/src/main/resources/scripts/install-feature.sh b/utils/installer/src/main/resources/scripts/install-feature.sh
new file mode 100644
index 00000000..16b5be8c
--- /dev/null
+++ b/utils/installer/src/main/resources/scripts/install-feature.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+ODL_HOME=${ODL_HOME:-/opt/opendaylight/current}
+ODL_KARAF_CLIENT=${ODL_KARAF_CLIENT:-${ODL_HOME}/bin/client}
+ODL_KARAF_CLIENT_OPTS=${ODL_KARAF_CLIENT_OPTS:-"-u karaf"}
+INSTALLERDIR=$(dirname $0)
+
+REPOZIP=${INSTALLERDIR}/${features.boot}-${project.version}.zip
+
+if [ -f ${REPOZIP} ]
+then
+ unzip -d ${ODL_HOME} ${REPOZIP}
+else
+ echo "ERROR : repo zip ($REPOZIP) not found"
+ exit 1
+fi
+
+${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:repo-add ${features.repositories}
+${ODL_KARAF_CLIENT} ${ODL_KARAF_CLIENT_OPTS} feature:install ${features.boot}